#!/bin/sh

TEMPATH='/tmp'
PLUGINPATH='/usr/lib/enigma2/python/Plugins/Extensions/GosatPlus'
echo "#########################################################"
echo "GOSATPLUS V2 GLOBAL"
echo "#########################################################"

# remove old version if any
echo "#########################################################"
echo "#          Uninstall old version(s) if exist            #"
echo "#########################################################"
rm -r $PLUGINPATH >/dev/null 2>&1
rm -f $PRELOADPATH >/dev/null 2>&1
rm -rf /usr/camscript/Ncam_GosatPlusV1.0R1
rm -rf /usr/camscript/Ncam_GosatPlusV1.0R2
rm -rf /usr/camscript/Ncam_GosatPlusV1.0R3
rm -rf /usr/camscript/Ncam_GosatPlusV1.0R4
rm -rf /usr/uninstall/RemoveGosatPlusV1.0R1.del
rm -rf /usr/uninstall/RemoveGosatPlusV1.0R2.del
rm -rf /usr/uninstall/RemoveGosatPlusV1.0R3.del
rm -rf /usr/uninstall/RemoveGosatPlusV1.0R4.del
rm -rf /usr/bin/gosatplus
echo "#########################################################"
echo "#          Installing new version                       #"
echo "#########################################################"


cd $TEMPATH
set -e
wget -q "http://plugin.gosatplus.com/v2/arm-bh.tgz"
tar -xzf arm-bh.tgz -C /
set +e
rm -f arm-bh.tgz
cd ..
chmod 755 /usr/bin/gosatplusv2_arm
chmod 755 /usr/camscript/Ncam_GosatPlusV2
chmod 755 /usr/uninstall/RemoveGosatPlusV2.del

echo ""
cd ..
sync
echo "##########################################################"
echo "#  GosatPlus V2 Global Version is installed successfully #"
echo "##########################################################"
echo "#           YOUR STB WILL RESTART NOW                    #"
echo "##########################################################"
init 4
sleep 2
init 3
exit 0